.\"	$NetBSD: random.6,v 1.6 2003/08/07 09:37:35 agc Exp $
.\"
.\" Copyright (c) 1994
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)random.6	8.2 (Berkeley) 3/31/94
.\"
.Dd March 20, 2007
.Dt RANDOM 6
.Os
.Sh NAME
.Nm random
.Nd random lines from a file or random numbers
.Sh SYNOPSIS
.Nm
.Op Fl er
.Op Ar denominator
.Sh DESCRIPTION
.Nm
reads lines from the standard input and copies them to the standard
output with a probability of 1/denominator.
The default value for
.Ar denominator
is 2.
.Pp
The options are as follows:
.Bl -tag -width Ds
.It Fl e
If the
.Fl e
option is specified,
.Nm
does not read or write anything, and simply exits with a random
exit value of 0 to
.Ar denominator Ns -1 ,
inclusive.
.It Fl r
The
.Fl r
option guarantees that the output is unbuffered.
.El
.Sh SEE ALSO
.Xr shuffle 1 ,
.Xr fortune 6
